---
title: "Get organization settings"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-settings"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-settings"
method: "GET"
path: "/v2/organizations/{org_id}/settings"
operation_id: "get-v2-organizations-org-id-settings"
authorization: "bearer"
---

# Get organization settings

`GET /v2/organizations/{org_id}/settings`

This endpoint allows API users to retrieve the settings of an organization.

Learn more about [organization settings](/docs/organizations#organization-settings).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Responses

### 200

Returns the list of organization settings for admins and moderators with free trial, professional, or enterprise subscriptions.

**Example** (`Successful response`)

```json
{
  "data": [
    {
      "value": null,
      "created": null,
      "setting": "no_document_attachment",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "no_document_file_attachments",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "mobileweb_option",
      "updated": null,
      "default_value": "app_or_mobileweb_choice"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_drawn_signatures",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "org_allowed_team_admins",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "digitally_sign_dowloaded_docs",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "pending_invite_document_view_notification",
      "updated": null,
      "default_value": "no"
    },
    {
      "value": null,
      "created": null,
      "setting": "cloud_export_with_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "emailed_docs_include_history",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": "0",
      "created": 1736061495,
      "setting": "require_email_subject",
      "updated": 1736061497,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "document_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "require_login_for_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "logout_on_signing",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "audit_trail_completion_retention_days",
      "updated": null,
      "default_value": "0"
    },
    {
      "value": null,
      "created": null,
      "setting": "front_end_session_length",
      "updated": null,
      "default_value": "0"
    }
  ],
  "meta": {
    "pagination": {
      "count": 15,
      "links": {
        "next": "https://api.signnow.com/v2/organizations/5d07bfbb31bb486bb636fb992cd6d05ca677be54/settings?page=2"
      },
      "total": 42,
      "per_page": 15,
      "total_pages": 3,
      "current_page": 1
    }
  }
}
```

### 400

* Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

The user is not the organization admin.

**Example** (`The user is not the organization admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

Organization was not found.

**Example** (`Organization was not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `4e9cdccb8e764fbe86a664cc9e24502d3dbf6686` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/settings" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-settings*
